summaryrefslogtreecommitdiffstats
path: root/libraries/plib
diff options
context:
space:
mode:
author David Somero2010-05-19 08:38:54 +0200
committer David Somero2010-05-19 08:38:54 +0200
commit325309f885141572bed8e23a8b67a9ee77eb8967 (patch)
tree220ff91b5a5e8c7cbec2702cc2be1d2e48c5126e /libraries/plib
parentcc52296da5e56156a6cf4db69ec25c202e37a26e (diff)
downloadslackbuilds-325309f885141572bed8e23a8b67a9ee77eb8967.tar.gz
libraries/plib: Fixed for bash4.
Diffstat (limited to 'libraries/plib')
-rw-r--r--libraries/plib/plib.SlackBuild19
1 files changed, 5 insertions, 14 deletions
diff --git a/libraries/plib/plib.SlackBuild b/libraries/plib/plib.SlackBuild
index f0ecf6e016..dd112ff789 100644
--- a/libraries/plib/plib.SlackBuild
+++ b/libraries/plib/plib.SlackBuild
@@ -4,16 +4,16 @@
# Written by x-ip (edvm@rcom.com.ar)
-PRGNAM=plib
+PRGNAM=plib
VERSION=${VERSION:-1.8.5}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
-TMP=${TMP:-/tmp/SBo}
+TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
-OUTPUT=${OUTPUT:-/tmp}
+OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
@@ -54,17 +54,8 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
-
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \